#
#        Makefile for Menus (Aztec C v5.2a)
#
# Macros
#
#DEFINES    =-dMWDEBUG
DEFINES    =
CFLAGS_PRE =-a -ms -pacs0t -so -wdelopqw -ho ram:menus.pre
CFLAGS_TEST=$(DEFINES) -ms -pacs0t -so -wdelopqw -hi ram:menus.pre
CFLAGS_LIB =$(DEFINES) -mbs -pacs0t -so -wdelopqw -hi ram:menus.pre
LFLAGS     =-m +q -w
INCLUDES   =/render/render.h /language/language.h menus.h
INCLUDES   =/render/render.h /texts/texts.h /borders/borders.h\
 /texts/texts.h
OBJECTS    =menus.o menus_test.o /render/render.o /texts/texts.o\
 /borders/borders.o /gadgets/gadgets1.o /gadgets/gadgets2.o\
 /gadgets/gadgets3.o /gadgets/gadgets4.o /requester/requester.o\
 /files/files.o /language/language.o /pointer/pointer.o
#LIBRARIES  =-lmemwatch16 -lc16
LIBRARIES  =-lc16
#
# Dependancy entries
#
all: ram:menus.pre menus_test clear
#
ram:menus.pre: menus.pre
   copy menus.pre $@ clone
#
menus.pre: includes.h
   cc $(CFLAGS_PRE) -o nil: includes.h
   copy ram:$@ $@ clone
#
menus_test: $(OBJECTS)
   ln $(LFLAGS) -o $@ $(OBJECTS) $(LIBRARIES)
#
menus_test.o: menus_test.c $(INCLUDES)
   cc $(CFLAGS_TEST) -o $@ $*.c
#
menus.o: menus.c $(INCLUDES)
   cc $(CFLAGS_LIB) -o $@ $*.c
#
clear:
   delete ram:#?.pre
#
